import React, { ComponentType } from 'react';
import { ComponentMapping } from '@adobe/cq-spa-component-mapping';
import { EditConfig } from './components/EditableComponent';
/**
 * Indicated whether force reload is turned on, forcing the model to be refetched on every MapTo instantiation.
 */
export interface ReloadForceAble {
    cqForceReload?: boolean;
}
/**
 * MappedComponentProperties
 * Properties given to every component runtime by the SPA editor.
 */
export interface MappedComponentProperties extends ReloadForceAble {
    isInEditor: boolean;
    cqPath: string;
}
declare type MapperFunction<P extends MappedComponentProperties> = (component: ComponentType<P>, editConfig?: EditConfig<P>) => void;
declare const MapTo: <P extends MappedComponentProperties>(resourceTypes: string | string[]) => MapperFunction<P>;
declare type MappingContextFunction<P extends MappedComponentProperties> = (props: P) => JSX.Element;
declare const ComponentMappingContext: React.Context<typeof ComponentMapping>;
declare function withComponentMappingContext<P extends MappedComponentProperties>(Component: React.ComponentType<P>): MappingContextFunction<P>;
export { ComponentMapping, MapTo, ComponentMappingContext, withComponentMappingContext };
//# sourceMappingURL=ComponentMapping.d.ts.map