import { Model } from '@adobe/cq-spa-page-model-manager';
declare class NotImplementedError extends Error {
    constructor(message: string);
}
export { NotImplementedError };
export declare enum WCMMode {
    /**
     * The editor is in one of the edition modes.
     */
    EDIT = "edit",
    /**
     * The editor is in preview mode.
     */
    PREVIEW = "preview",
    /**
     * The editor mode is disabled.
     */
    DISABLED = "disabled"
}
/**
 * Helper functions for interacting with the AEM environment.
 */
declare const Utils: {
    /**
     * Is the app used in the context of the AEM Page editor.
     *
     * @returns {boolean}
     */
    isInEditor(): boolean;
    /**
     * Transforms the item data to component properties.
     * It will replace ':' with 'cq' and convert the name to CameCase.
     *
     * @private
     * @param {Object} item - the item data
     * @returns {Object} the transformed data
     */
    modelToProps(item: Model): any;
};
export default Utils;
//# sourceMappingURL=Utils.d.ts.map