import { AllowedComponentsContainer, AllowedComponentsProperties } from './allowedcomponents/AllowedComponentsContainer';
import { ContainerState } from './Container';
import { PlaceHolderModel } from './ContainerPlaceholder';
export interface ResponsiveGridProperties extends AllowedComponentsProperties {
    gridClassNames: string;
    columnClassNames: {
        [key: string]: string;
    };
}
export declare class ResponsiveGrid<P extends ResponsiveGridProperties, S extends ContainerState> extends AllowedComponentsContainer<P, S> {
    static defaultProps: {
        _allowedComponentPlaceholderListEmptyLabel: string;
        cqItems: {};
        cqItemsOrder: never[];
        cqPath: string;
        title: string;
    };
    /**
     * The attributes that will be injected in the root element of the container.
     *
     * @returns {Object} - the attributes of the container
     */
    get containerProps(): {
        [key: string]: string;
    };
    /**
     * The properties that will go on the placeholder component root element
     *
     * @returns {Object} - the properties as a map
     */
    get placeholderProps(): PlaceHolderModel;
    /**
     * Returns the properties to add on a specific child component
     *
     * @param   {Object} item     The item data
     * @param   {String} itemKey  The key of the item
     * @param   {String} itemPath The path of the item
     * @returns {Object} The map of properties to be added
     */
    getItemComponentProps(item: any, itemKey: string, itemPath: string): {
        [key: string]: string;
    };
}
//# sourceMappingURL=ResponsiveGrid.d.ts.map